宝塔面板或者LNMP下安装php的mongodb扩展

写的程序数据库是mongodb,所以需要php的话要安装mongodb扩展,因为我懒人在用宝塔面板,这写一下宝塔下安装,最后面贴出的是LNMP下安装MJJ。
自动草稿

ext 1.8 + lib 1.7 不支持php5.6
MongoDB 4.2支持ext 1.8 + lib 1.5+ 支持php5.6
具体支持列表:https://docs.mongodb.com/drivers/php#compatibility
https://docs.mongodb.com/php-library/master/tutorial/install-php-library/

mongodb扩展

mongodb扩展官网地址:https://pecl.php.net/package/mongodb

下载和解压

wget https://pecl.php.net/get/mongodb-1.8.0.tgz
tar zxvf mongodb-1.8.0.tgz
cd mongodb-1.8.0/
Bash

编译安装

/www/server/php/74/bin/phpize 
./configure --with-php-config=/www/server/php/74/bin/php-config
make && make install
Bash

我是因为用的php版本是7.4,你自己根据自己php版本更换目录,最后编译安装后记得哪个文件位置。

php.ini最后一行中加入(/www/server/php/74/etc/php.ini)

extension = /www/server/php/74/lib/php/extensions/no-debug-non-zts-20190902/mongodb.so
Bash

以上是宝塔面板下安装mongodb扩展,查看是否成功去php管理查看phpinfo是不是有mongodb

LNMP下安装mongodb扩展

查看php默认版本

php -v
Bash
wget https://pecl.php.net/get/mongodb-1.8.0.tgz
tar zxvf mongodb-1.8.0.tgz
cd mongodb-1.8.0/
Bash

如果默认一个php版本

/usr/local/php/bin/phpize
./configure --with-php-config=/usr/local/php/bin/php-config
make && make install
Bash

默认php 7.4版本

/usr/local/php/bin/phpize
./configure --with-php-config=/usr/local/php7.4/bin/php-config
make && make install
Bash

默认php 5.6版本

/usr/local/php/bin/phpize
./configure --with-php-config=/usr/local/php版本号/bin/php-config
make && make install
Bash
cd ../
Bash

默认php

vi /usr/local/php/etc/php.ini
Bash

默认php 7.x版本

vi /usr/local/php7.4/etc/php.ini
Bash

默认php 5.6版本

vi /usr/local/php版本号/etc/php.ini
Bash

php.ini最后一行中加入

extension = "mongodb.so"
Bash

懒人下面是直接命令加入

sed -i '$a extension = "mongodb.so"' /usr/local/php版本号/etc/php.ini
Bash

重启生效

/etc/init.d/php-fpm restart
Bash

查看phpinfo()是不是有mongodb

http://127.0.0.1/p.php?act=phpinfo
 收藏 (0) 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

除特别注明外,本站所有文章均基于CC-BY-NC-SA 4.0原创,转载请注明出处。
文章名称:《宝塔面板或者LNMP下安装php的mongodb扩展》
文章链接:https://www.vvso.cn/xlbk/15591.html
分享到: 更多 (0)

热门文章

评论 抢沙发

切换注册

登录

忘记密码 ?

切换登录

注册